Bug 600781 - Digital mic (from built-in webcam) not available in Sound Preferences input options
Digital mic (from built-in webcam) not available in Sound Preferences input o...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-05 20:53 EDT by srh
Modified: 2013-01-13 07:05 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 14:57:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
switch between Mic and Front Mic to Digital Mic and viceversa (1.23 KB, text/plain)
2010-12-31 05:51 EST, Mario Santagiuliana
no flags Details

  None (edit)
Description srh 2010-06-05 20:53:34 EDT
Description of problem:
Dell XPS M1330 laptop with built-in webcam (uvcvideo 05a9:7670). I want to use this mic with audio apps (skype etc...).

Start alsamixer 1.0.22 (Card HDA Intel, Chip Sigmatel STAC9228). Go to Capture 'Input Source'. Up/down keys show available 'Mic', 'Front Mic' and 'Digital Mic'. Switching to 'Digital Mic' turns on the webcam mic and allows skype etc to work.

Start 'Sound Preferences' on Gnome desktop, Input tab. 'Choose a device for sound input' is set to the only option 'Internal Audio Analog Stereo'. The above 'Connector' drop-down selector box shows two options 'Microphone 1' and 'Microphone 2'. Watching alsamixer while changing between these two options shows that:
'Microphone 1' = 'Mic'
'Microphone 2' = 'Front Mic'
There is no 'Microphone 3' option that would presumably correspond to 'Digital Mic' in alsamixer.

Switching to 'Digital Mic' in alsamixer works temporarily, but this setting is lost when computer is restarted.

Version-Release number of selected component (if applicable):
Name       : pulseaudio
Arch       : x86_64
Version    : 0.9.21
Release    : 6.fc13

Name       : kernel
Arch       : x86_64
Version    : 2.6.33.5
Release    : 112.fc13

Expected results:
The webcam 'Digital Mic' should be available as one of the options in Gnome 'Sound Preferences' Input tab 'Connector' list.
Comment 1 Richard Guest 2010-08-15 18:09:30 EDT
I'd just like to comment here that I have exactly the same frustration, on my Dell E4300 and use exactly the same temporary work around.

To add to my confusion, the E4300 has no 'Front Mic', just the jack on the side and the internal 'Digital Mic', however this is more likely an issue with the snd-hda-intel driver.
Comment 2 Paul Lambert 2010-11-14 00:19:48 EST
You might be interested in reading the attached document to bug 653016 and adding your thoughts.
Comment 3 Simone Gotti 2010-12-06 09:03:45 EST
Hi,

looks like it was fixed in pulseaudio-0.9.22 (in fc12, 13 and 14 we have 0.9.21)

The patch was proposed long time ago:
http://www.mail-archive.com/pulseaudio-discuss@mail.0pointer.de/msg06511.html

I tried it on my Dell E6400 and you'll get the first microphone (Microphone 1 / Microphone) as the "Digital Mic" (you can check it with alsamixer).

Do you think that pulseaudio will be updated to 0.9.22 in the current fedora 14 life cycle or that at least that patch will be applied to the current version?

Thanks!
Bye!
Comment 4 Mario Santagiuliana 2010-12-28 17:15:51 EST
I have got the same problem on Dell XPS M1530.
I want to create an easy bash script to change my microphone input method (Mic or Digital Mic).

I use Fedora 14 64 bit:
$ uname -r
2.6.35.9-64.fc14.x86_64

$ lspci |grep Audio
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

Other packages info:
$ rpm -qa|egrep "pulse|alsa"|sort
alsa-lib-1.0.23-2.fc14.i686
alsa-lib-1.0.23-2.fc14.x86_64
alsa-plugins-pulseaudio-1.0.22-1.fc13.i686
alsa-plugins-pulseaudio-1.0.22-1.fc13.x86_64
alsa-utils-1.0.23-3.fc14.x86_64
kde-settings-pulseaudio-4.5-11.fc14.noarch
pulseaudio-0.9.21-7.fc14.x86_64
pulseaudio-libs-0.9.21-7.fc14.i686
pulseaudio-libs-0.9.21-7.fc14.x86_64
pulseaudio-libs-glib2-0.9.21-7.fc14.i686
pulseaudio-libs-glib2-0.9.21-7.fc14.x86_64
pulseaudio-module-x11-0.9.21-7.fc14.x86_64
pulseaudio-utils-0.9.21-7.fc14.x86_64
report-config-localsave-0.20-1.fc14.x86_64
report-plugin-localsave-0.20-1.fc14.x86_64
wine-pulseaudio-1.3.9-1.fc14.i686
wine-pulseaudio-1.3.9-1.fc14.x86_64

If you need other info on my system, please ask to me.

I hope to test new version of pulseaudio.
Comment 5 Mario Santagiuliana 2010-12-31 05:51:45 EST
Created attachment 471270 [details]
switch between Mic and Front Mic to Digital Mic and viceversa

I write this simple bash script to easly switch  between Mic and Front Mic to Digital Mic and viceversa.
Need a little configuration:
- CARD is the number of sound card, my is 0
- NUMID is the number id of Input source that need to change, my is 16 and I can find it from bash:
$ amixer -c 0 controls|grep Input
numid=16,iface=MIXER,name='Input Source'
numid=17,iface=MIXER,name='Input Source',index=1
numid=18,iface=MIXER,name='Input Source',index=2
- Microphones items, to view them I use this:
$ amixer -c 0 cget numid=16
numid=16,iface=MIXER,name='Input Source'
  ; type=ENUMERATED,access=rw------,values=1,items=3
  ; Item #0 'Mic'
  ; Item #1 'Front Mic'
  ; Item #2 'Digital Mic'
  : values=2

Mi internal microphone is "Digital Mic" (item 2). My external microphone is "Mic" (item 0).
Comment 6 Bug Zapper 2011-06-02 07:54:53 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Danny D'Amours 2011-06-03 09:04:00 EDT
I am still experiencing this issue with Fedora 14 but I don't seem to have the authority to change the version number for the bug.
Comment 8 srh 2011-06-03 22:15:51 EDT
I do not have the Dell XPS 1330 laptop any more which experienced this bug. However, based on comment 7, I (as reporter) have upgraded this bug from Fedora 13 to Fedora 14.
Comment 9 Fedora End Of Life 2012-08-16 14:57:10 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.